Subject: [PATCH 07/12] rtc: omap: silence bogus power-up reset message at probe

From: [email-masked] (Johan Hovold)
Date: Sat, 11 Oct 2014 12:20:04 +0200

On Fri, Oct 10, 2014 at 01:02:56PM -0500, Felipe Balbi wrote:
> On Fri, Oct 10, 2014 at 01:00:54PM -0500, Felipe Balbi wrote:
> > On Thu, Oct 09, 2014 at 09:06:29PM +0200, Johan Hovold wrote:
> > > Some legacy RTC IP revisions has a power-up reset flag in the status
> > > register that later revisions lack.
> > > 
> > > As this flag is always read back as set on later revisions (or is
> > > overloaded with a different flag), make sure to only clear the flag and
> > > print the info message on legacy platforms.
> > > 
> > > Signed-off-by: Johan Hovold <[email-masked]>
> > 
> > Reviewed-by: Felipe Balbi <[email-masked]>
> 
> oh, btw. This should be done for DT probes too.

What do you mean? This is for DT probes (of "ti,da830-rtc" and
"ti,am3352-rtc"). DT probing of legacy RTC IPs is currently not
supported.

Are you suggesting I should add a new compatible string for that?

Johan